<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui" xmlns:c="http://java.sun.com/jsp/jstl/core">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('title.item.edit', reportModel.editReportBean.name)}" />
		</ui:define>
		<ui:define name="body">
			<p:panelGrid columns="2" styleClass="width100percent">
				<h:outputText value="#{facesContext.translate('label.report.name')}" />
				<p:inputText id="name" value="#{reportModel.editReportBean.name}" required="true" requiredMessage="#{facesContext.translate('error.mustnotbeempty', 'label.report.name')}" />
				<h:outputText value="#{facesContext.translate('label.report.description')}" />
				<p:inputTextarea id="descr" value="#{reportModel.editReportBean.description}" styleClass="inputTextarea"/>
				<h:outputText value="#{facesContext.translate('navigate.analysis')}" />
				<h:outputText value="#{reportModel.editReportBean.functionlistName}" />
				<h:outputText value="#{facesContext.translate('label.analysis.matrix.variablegroup')}" />
				<p:selectOneMenu id="vargrpdef" value="#{reportModel.editReportBean.fkVariablegroupdef}" filter="true">
					<f:selectItem itemValue="" itemLabel="#{facesContext.translate('button.choose')}" />
					<f:selectItems value="#{reportModel.variablegroups}" var="vg" itemValue="#{vg.id}" itemLabel="#{vg.name}" />
					<p:ajax update="@widgetVar(releases)" />
				</p:selectOneMenu>
				<h:outputText value="#{facesContext.translate('label.report.releases')}" />
				<p:dataTable id="releases" widgetVar="releases" value="#{reportModel.editReportBean.releases}" var="r">
					<p:column headerText="#{facesContext.translate('label.report.generate.releases')}">
						<h:outputText value="#{r.name}" />
						<f:facet name="footer">
							<p:menuButton value="#{facesContext.translate('button.choose')}">
								<c:forEach items="${reportModel.filteredReleases}" var="s" varStatus="status">
									<p:menuitem id="btn_addreleases_#{status.index}" action="#{reportController.doAddRelease(s)}" value="#{s.name}" ajax="true" update="form:releases" onclick="ship.processing(100000)" oncomplete="ship.processed()" />
								</c:forEach>
							</p:menuButton>
						</f:facet>
					</p:column>
					<p:column headerText="#{facesContext.translate('label.actions')}">
						<ship:removeButton action="#{reportController.doRemoveRelease(r.pk)}" isLink="false" value="" tooltip="#{facesContext.translate('button.remove')}"
							title="#{facesContext.translate('title.delete.approve')}" approveButtonLabel="#{facesContext.translate('button.yes')}" cancelButtonLabel="#{facesContext.translate('button.no')}"
							onclick="ship.processing(100000)" oncomplete="ship.processed()">
							<h:outputText value="#{facesContext.translate('confirmation.delete', r.name)}" />
						</ship:removeButton>
					</p:column>
				</p:dataTable>
				<h:outputText value="#{facesContext.translate('label.report.intervals')}" />
				<p:dataTable id="intervals" value="#{reportModel.editReportBean.intervals}" var="i">
					<p:column headerText="#{facesContext.translate('label.report.factory.interval.from')}">
						<h:outputText value="#{i.dateFrom}">
							<f:convertDateTime pattern="dd.MM.yyyy" />
						</h:outputText>
						<f:facet name="footer">
							<p:datePicker id="datefrom" value="#{reportModel.newInterval.dateFrom}" pattern="dd.MM.yyyy" rendered="#{reportController.onlyOneTimePeriod(reportModel.editReportBean.intervals)}" />
						</f:facet>
					</p:column>
					<p:column headerText="#{facesContext.translate('label.report.factory.interval.until')}">
						<h:outputText value="#{i.dateUntil}">
							<f:convertDateTime pattern="dd.MM.yyyy" />
						</h:outputText>
						<f:facet name="footer">
							<p:datePicker id="dateuntil" value="#{reportModel.newInterval.dateUntil}" pattern="dd.MM.yyyy" rendered="#{reportController.onlyOneTimePeriod(reportModel.editReportBean.intervals)}" />
						</f:facet>
					</p:column>
					<p:column headerText="#{facesContext.translate('label.actions')}">
						<ship:removeButton action="#{reportController.doRemoveInterval(i)}" value="" isLink="true" tooltip="#{facesContext.translate('button.delete')}"
							title="#{facesContext.translate('title.delete.approve')}" approveButtonLabel="#{facesContext.translate('button.yes')}" cancelButtonLabel="#{facesContext.translate('button.no')}">
							<h:outputText value="#{facesContext.translate('confirmation.delete', i.string)}" />
						</ship:removeButton>
						<f:facet name="footer">
							<p:commandButton id="btn_addinterval" action="#{reportController.doAddInterval}" icon="fa fa-plus" styleClass="iconbutton" value="" title="#{facesContext.translate('button.add')}"
								rendered="#{reportController.onlyOneTimePeriod(reportModel.editReportBean.intervals)}" />
						</f:facet>
					</p:column>
				</p:dataTable>
			</p:panelGrid>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_updateandstay" action="#{reportController.doUpdateReport(false)}" value="#{facesContext.translate('button.approveandgoon')}" ajax="false" />
			<p:commandButton id="btn_updateandleave" action="#{reportController.doUpdateReport(true)}" value="#{facesContext.translate('button.approveandclose')}" ajax="false" />
			<p:commandButton id="btn_cancel" action="#{reportController.toShowByAbort(reportModel.editReportBean, true)}" value="#{facesContext.translate('button.cancel')}" immediate="true" ajax="false" />
		</ui:define>
	</ui:composition>
</h:body>
</html>